## org.codehaus.groovy.grails.commons.metaclass
Class InvocationCallback

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.InvocationCallback

    public class InvocationCallback

extends Object

Since:
  Aug 8, 2005
Author:
  Steven Devijver

Constructor Summary
`InvocationCallback()`

Method Summary
`Object` `getInvoker()`
`boolean` `isInvoked()`
`void` `markInvoked()`
`void` `setInvoker(Object newInvoker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationCallback

    public InvocationCallback()

Method Detail

### markInvoked

    public void markInvoked()

### isInvoked

    public boolean isInvoked()

### getInvoker

    public Object getInvoker()

### setInvoker

    public void setInvoker(Object newInvoker)

Copyright (c) 2005-2009 The Grails project